@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

/*@import url('https://fonts.googleapis.com/css2?family=Chakra+Petch:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&family=Mulish:ital,wght@0,200..1000;1,200..1000&display=swap');*/


html, body {
	/*font-family: "Mulish", sans-serif;*/
	height: 100%;
}

h1:focus {
	outline: none;
}
/*
h1, h2, h3, h4, h5, h6, .heading,
.h1, .h2, .h3, .h4, .h5, .h6 {
	font-family: "Chakra Petch", sans-serif;
}*/


/*a, .btn-link {
    color: #0071c1;
}
*/
/*.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}*/

/*.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {*/
/*	box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;*/
/*box-shadow: 0 0 0 2px rgba(0,0,0,.25);
}*/


.valid.modified:not([type=checkbox]) {
	/*	outline: 1px solid #26b050;*/
	border-color: #26b050;
}

.invalid {
	/*	outline: 1px solid red;*/
	border-color: var(--bs-danger);
}


.validation-message {
	color: var(--bs-danger);
}

.input-validation-error {
	border-color: var(--bs-danger);
	padding-right: calc(1.5em + 0.75rem) !important;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: right calc(0.375em + 0.1875rem) center;
	background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.field-validation-error {
	font-size: .75em
}


#blazor-error-ui {
	background: lightyellow;
	bottom: 0;
	box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
	display: none;
	left: 0;
	padding: 0.6rem 1.25rem 0.7rem 1.25rem;
	position: fixed;
	width: 100%;
	z-index: 1000;
}

	#blazor-error-ui .dismiss {
		cursor: pointer;
		position: absolute;
		right: 0.75rem;
		top: 0.5rem;
	}

.blazor-error-boundary {
	background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
	padding: 1rem 1rem 1rem 3.7rem;
	color: white;
}

	.blazor-error-boundary::after {
		content: "An error has occurred."
	}

/* Photo Modal */
.photo-overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(169, 169, 169, 0.98); /* Opaque background */
	display: flex;
	align-items: center;
	justify-content: center;
	z-index: 1000; /* Ensure it's above other content */
}

.photo-video-content {
	background-color: white;
	/*    padding: 20px;
    border-radius: 5px;*/
	z-index: 1001;
}

.photo-video-control {
	z-index: 1002;
	display: flex;
	align-items: center;
	justify-content: center;
}

.photo-video-close {
	position: fixed;
	top: 20px;
	right: 20px;
	height: 30px;
	width: 30px;
	border: 1px solid black;
}

/* Page Layout */
.col-1-5 {
	flex: 0 0 20%;
	max-width: 20%;
}

/*Cursor*/
.clickable {
	cursor: pointer;
}

	.clickable.disabled,
	.clickable[disabled] {
		cursor: not-allowed;
	}


/*Scrollbars*/
/* Style the scrollbar itself (width and background) */
::-webkit-scrollbar {
	width: 3px; /* Slimmer scrollbar */
	background: transparent;
	height: 3px;
	/*	border: 1px solid green;*/
	/*	margin-left:2px;*/
}

::-webkit-scrollbar-track {
	background: transparent;
}

/* Style the scrollbar thumb (the part that's draggable) */
::-webkit-scrollbar-thumb {
	background-color: rgba(0,0,0,.2); /* or any color */
	border-radius: 10px;
	opacity: 0.1;
	transition: all .25s ease-in-out;
	/*	border:1px solid red;*/
}

	/* Style the scrollbar thumb on hover */
	::-webkit-scrollbar-thumb:hover {
		background-color: rgba(0,0,0,.35); /* or any color */
		opacity: .5;
	}

/* Remove scrollbar buttons (arrows) */
::-webkit-scrollbar-button {
	display: none;
}

.btn-link {
	color: var(--bs-secondary);
	text-decoration: underline;
	cursor: pointer;
}

.min-height-0 {
	min-height: 0 !important;
}

.min-width-0 {
	min-width: 0 !important;
}

.line-height-1 {
	line-height: 1 !important;
}

.line-height-1-2 {
	line-height: 1.2 !important;
}

.font-xs {
	font-size: .75em;
}

.font-xxs {
	font-size: .625em;
}

.font-xxxs {
	font-size: .5em;
}

/*Theme Component Styles*/
.gx-page {
	--gx-page-color: var(--bs-body-color) !default;
	--gx-page-bg: var(--bs-body-bg) !default;
	color: var(--gx-page-color);
	background-color: var(--gx-page-bg);
}

.gx-card-group {
	--gx-card-grp-color: var(--bs-body-color) !default;
	--gx-card-grp-bg: var(--bd-body-bg) !default;
	color: var(--gx-card-grp-color);
	background-color: var(--gx-card-grp-bg);
	border-radius: 40px 40px 0 0;
}

.gx-tenant-page {
	background-color: var(--bs-light);
	min-height: 100vh;
}

.gx-user-edit-controls {
	color: #E81B22;
	cursor: pointer;
}


.markdown-content h1 {
	font-size: 2em; /* largest header */
	font-family: inherit; /* use the body's font */
}

.markdown-content h2 {
	font-size: 1.75em;
	font-family: inherit;
}

.markdown-content h3 {
	font-size: 1.5em;
	font-family: inherit;
}

.markdown-content h4 {
	font-size: 1.25em;
	font-family: inherit;
}

.markdown-content h5 {
	font-size: 1em;
	font-family: inherit;
}

.markdown-content h6 {
	font-size: 0.875em;
	font-family: inherit;
}

.validation-summary-errors.alert ul {
	list-style-type: none;
	padding: 0;
	display: flex;
	flex-direction: column;
	align-items: center;
	margin: 0;
}
